Stage files to workspace
curl --request POST \
--url https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/workspaces/{workspace_id}/files/batch/{directory} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"path": "images/train/dog.jpg"
}
]
'import requests
url = "https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/workspaces/{workspace_id}/files/batch/{directory}"
payload = [
{
"hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"path": "images/train/dog.jpg"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
hash: 'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855',
path: 'images/train/dog.jpg'
}
])
};
fetch('https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/workspaces/{workspace_id}/files/batch/{directory}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"status_message": "<string>",
"oxen_version": "<string>",
"err_files": [
{
"error": "<string>",
"hash": "<string>",
"path": "<string>"
}
]
}Workspace Files
Stage files to workspace
Stage file nodes to a workspace. Do not upload file contents to the repository.
POST
/
api
/
repos
/
{namespace}
/
{repo_name}
/
workspaces
/
{workspace_id}
/
files
/
batch
/
{directory}
Stage files to workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The namespace of the repository
The name of the repository
The UUID of the workspace
The directory to stage the files into
Query Parameters
Force staging even if file content has not changed, updating the file timestamp
Body
application/json
List of files and their pre-calculated hashes (must exist in version store).
⌘I